using Femto.Modules.Auth.Models;

namespace Femto.Modules.Auth.Application.Dto;

public record RememberMeToken(string Selector, string Verifier)
{
    public static RememberMeToken FromCode(string code)
    {
        var parts = code.Split('.');
        return new RememberMeToken(parts[0], parts[1]);
    }
    
};

public record NewRememberMeToken(string Selector, string Verifier, DateTimeOffset Expires)
{
    public string Code => $"{Selector}.{Verifier}";
}
